local function RegistAddin()
	local theShell= XLGetObject("Xunlei.Thunder.Shell")
	local thunderDir = theShell:GetComponentsPath()
	local addinFileName = thunderDir.."\\InMedia\\MediaAddin.dll"
	theShell:RegisterCOM(addinFileName)
end

RegistAddin()
